Get all contract line translations
get
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractLine/{LineId}/child/ContractLineTranslation
Request
Path Parameters
-
LineId(required): integer(int64)
The unique identifier of the contract line.
-
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey: Finds the contract line translation with the specified contract translation ID, Major Version and Language.
Finder Variables:- Id; integer; The unique identifer of the contract line translation.
- Language; string; The language code.
- MajorVersion; integer; The contract line translation major version.
- PrimaryKey: Finds the contract line translation with the specified contract translation ID, Major Version and Language.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- Comments; string; Contract Line Comments
- Id; integer; Contract Line ID
- ItemDescription; string; Item Description
- ItemName; string; Item Name
- Language; string; Indicates the code of the language into which the contents of the translatable columns are translated.
- MajorVersion; integer; Major Version
- SourceLanguage; string; Source Language
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractLine-ContractLineTranslation
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractLine-ContractLineTranslation-item-response
Type:
Show Source
object-
Comments: string
Maximum Length:
1995Contract Line Comments -
Id: integer
Contract Line ID
-
ItemDescription: string
Maximum Length:
1995Item Description -
ItemName: string
Maximum Length:
1995Item Name -
Language: string
Maximum Length:
12Indicates the code of the language into which the contents of the translatable columns are translated. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MajorVersion: integer
(int64)
Major Version
-
SourceLanguage: string
Maximum Length:
12Source Language
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to get all contract line translations by submitting a GET request on the REST resource using cURL.
cURL Command
curl -X GET "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractLine/2456773322689/child/ContractLineTranslation" \
-u "username:password" \
-H "REST-Framework-Version: 8"
Example of Response Body
The following shows the contents of the response body in JSON format.
{
"items": [
{
"Id": 999990000000003,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": null,
"InvConvRateDateTypeName": null,
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ECM Contract : 999990000000003",
"ContractNumberModifier": null,
"Cognomen": "ECM Contract : 999990000000003",
"BuyOrSell": "S",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"InvOrganizationId": 204,
"StsCode": "ACTIVE",
"CurrencyCode": "USD",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": null,
"InvConvRateDateType": null,
"InvConvRateDate": null,
"InvTrxTypeId": 324,
"InvTrxTypeName": "Inv-Consult-South",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1001,
"BillToAccount": "A T & T SOLUTIONS INC",
"BillToAccountNumber": "1001",
"BillToSiteUseId": 1006,
"BillToSiteUseLocation": "New York (OPS)",
"BillToAddress": "32 Ave of the Americas,NEW YORK, NY 10013",
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSiteUseLocation": "Parsippany (OPS)",
"ShipToAddress": "3455 Elm Street,NJ",
"ShipToAccountDescription": "AT&T",
"SoldToAccountId": null,
"SoldToAccount": null,
"SoldToAccountNumber": null,
"SoldToSiteId": null,
"SoldToNumber": null,
"SoldToAddress": null,
"SoldToAccountDescription": null,
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2008-08-05",
"DatetimeCancelled": null,
"DateSigned": "2008-08-05",
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": null,
"BillSequence": null,
"OverallRiskCode": null,
"ShortDescription": "ECM Contract : 999990000000003",
"Description": "ECM Contract : 999990000000003",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1001,
"CustomerPartySiteId": 1008,
"GeneratedInvoiceStatus": null,
"OwningOrgId": null,
"NetInvoiceFlag": null,
"VersionType": "H",
"OwningOrgName": null,
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 0.0,
"TaxAmount": null,
"LastUpdateDate": "2008-09-05T15:28:17+00:00",
"LastUpdateLogin": "1",
"LastUpdatedBy": "1",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "1",
"CreationDate": "2008-09-05T15:28:17+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1001,
"OrigSystemId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "ACTIVE",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Active",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "A T & T SOLUTIONS INC",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1001,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069430915,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-117-1",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractLine": {
"items": [
{
"LineNumber": "1",
"Id": 999990000047680,
"LineId": 100100095831963,
"MajorVersion": 1,
"LineTypeId": 102,
"LineTypeName": "Item, project",
"StsCode": "ACTIVE",
"LineStatus": "Active",
"Object1Id1": 79,
"Object1Id2": 204,
"ItemName": "f40000",
"ItemNameTxt": "f40000",
"ItemDescription": "Modem - Serial Control",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"PriceListId": null,
"PriceList": null,
"UOMCode": "EA",
"UnitOfMeasure": "EA",
"FixedPriceServiceYn": "N",
"ItemQuantity": 1,
"UnitPrice": null,
"LineValueAmount": null,
"LineAmount": 1000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSite": "Parsippany (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": null,
"BillPlan": null,
"RevenuePlanId": null,
"RevenuePlan": null,
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "Y",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": "ECM Contract ",
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-5233-1",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"ContractLineTranslation": {
"items": [
{
"Id": 999990000047680,
"Language": "AR",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047680,AR,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation/999990000047680%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation/999990000047680%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047680,
"Language": "IW",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047680,IW,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation/999990000047680%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation/999990000047680%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047680,
"Language": "KO",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "[Modem - Serial ControlΩ'+++ '+++ 'Ø",
"ItemName": "[f40000'+Ø",
"SourceLanguage": "KO",
"@context": {
"key": "999990000047680,KO,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation/999990000047680%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation/999990000047680%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 3,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095831963",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095831963/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
},
{
"LineNumber": "1",
"Id": 999990000047670,
"LineId": 100100095832230,
"MajorVersion": 1,
"LineTypeId": 102,
"LineTypeName": "Item, project",
"StsCode": "ACTIVE",
"LineStatus": "Active",
"Object1Id1": 79,
"Object1Id2": 204,
"ItemName": "f40000",
"ItemNameTxt": "f40000",
"ItemDescription": "Modem - Serial Control",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"PriceListId": null,
"PriceList": null,
"UOMCode": "EA",
"UnitOfMeasure": "EA",
"FixedPriceServiceYn": "N",
"ItemQuantity": 1,
"UnitPrice": null,
"LineValueAmount": null,
"LineAmount": 1000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSite": "Parsippany (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": null,
"BillPlan": null,
"RevenuePlanId": null,
"RevenuePlan": null,
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "Y",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": "ECM Contract ",
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-5125-1",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"ContractLineTranslation": {
"items": [
{
"Id": 999990000047670,
"Language": "AR",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047670,AR,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation/999990000047670%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation/999990000047670%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047670,
"Language": "IW",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047670,IW,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation/999990000047670%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation/999990000047670%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047670,
"Language": "KO",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "[Modem - Serial ControlΩ'+++ '+++ 'Ø",
"ItemName": "[f40000'+Ø",
"SourceLanguage": "KO",
"@context": {
"key": "999990000047670,KO,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation/999990000047670%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation/999990000047670%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 3,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095832230",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832230/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
},
{
"LineNumber": "1",
"Id": 999990000047660,
"LineId": 100100095832221,
"MajorVersion": 1,
"LineTypeId": 102,
"LineTypeName": "Item, project",
"StsCode": "ACTIVE",
"LineStatus": "Active",
"Object1Id1": 79,
"Object1Id2": 204,
"ItemName": "f40000",
"ItemNameTxt": "f40000",
"ItemDescription": "Modem - Serial Control",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"PriceListId": null,
"PriceList": null,
"UOMCode": "EA",
"UnitOfMeasure": "EA",
"FixedPriceServiceYn": "N",
"ItemQuantity": 1,
"UnitPrice": null,
"LineValueAmount": null,
"LineAmount": 1000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSite": "Parsippany (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": null,
"BillPlan": null,
"RevenuePlanId": null,
"RevenuePlan": null,
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "Y",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": "ECM Contract ",
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-24195-1",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"ContractLineTranslation": {
"items": [
{
"Id": 999990000047660,
"Language": "AR",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047660,AR,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation/999990000047660%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation/999990000047660%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047660,
"Language": "IW",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047660,IW,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation/999990000047660%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation/999990000047660%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047660,
"Language": "KO",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "[Modem - Serial ControlΩ'+++ '+++ 'Ø",
"ItemName": "[f40000'+Ø",
"SourceLanguage": "KO",
"@context": {
"key": "999990000047660,KO,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation/999990000047660%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation/999990000047660%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 3,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095832221",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine/100100095832221/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
}
],
"count": 3,
"hasMore": true,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069430915",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 999990000000011,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": null,
"InvConvRateDateTypeName": null,
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ECM Contract : 999990000000011",
"ContractNumberModifier": null,
"Cognomen": "ECM Contract : 999990000000011",
"BuyOrSell": "S",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"InvOrganizationId": 204,
"StsCode": "CLOSED",
"CurrencyCode": "USD",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"TrnCode": "CLOSE",
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": null,
"InvConvRateDateType": null,
"InvConvRateDate": null,
"InvTrxTypeId": 324,
"InvTrxTypeName": "Inv-Consult-South",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1001,
"BillToAccount": "A T & T SOLUTIONS INC",
"BillToAccountNumber": "1001",
"BillToSiteUseId": 1006,
"BillToSiteUseLocation": "New York (OPS)",
"BillToAddress": "32 Ave of the Americas,NEW YORK, NY 10013",
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSiteUseLocation": "Parsippany (OPS)",
"ShipToAddress": "3455 Elm Street,NJ",
"ShipToAccountDescription": "AT&T",
"SoldToAccountId": null,
"SoldToAccount": null,
"SoldToAccountNumber": null,
"SoldToSiteId": null,
"SoldToNumber": null,
"SoldToAddress": null,
"SoldToAccountDescription": null,
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2008-08-05",
"DatetimeCancelled": null,
"DateSigned": "2008-08-05",
"DateTerminated": "2008-10-05",
"TerminateCancelSource": "MANUAL",
"ContributionPercent": null,
"BillSequence": null,
"OverallRiskCode": null,
"ShortDescription": "ECM Contract : 999990000000011",
"Description": "ECM Contract : 999990000000011",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1001,
"CustomerPartySiteId": 1008,
"GeneratedInvoiceStatus": null,
"OwningOrgId": null,
"NetInvoiceFlag": null,
"VersionType": "H",
"OwningOrgName": null,
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 0.0,
"TaxAmount": null,
"LastUpdateDate": "2008-09-05T15:28:17+00:00",
"LastUpdateLogin": "1",
"LastUpdatedBy": "1",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "1",
"CreationDate": "2008-09-05T15:28:17+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": "Contract Closed",
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1001,
"OrigSystemId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "CLOSED",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": true,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": 21,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Closed",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "A T & T SOLUTIONS INC",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1001,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069430923,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": "ENTERPRISE",
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-118-1",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractLine": {
"items": [
{
"LineNumber": "1",
"Id": 999990000047890,
"LineId": 100100095832129,
"MajorVersion": 1,
"LineTypeId": 102,
"LineTypeName": "Item, project",
"StsCode": "CLOSED",
"LineStatus": "Closed",
"Object1Id1": 79,
"Object1Id2": 204,
"ItemName": "f40000",
"ItemNameTxt": "f40000",
"ItemDescription": "Modem - Serial Control",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"PriceListId": null,
"PriceList": null,
"UOMCode": "EA",
"UnitOfMeasure": "EA",
"FixedPriceServiceYn": "N",
"ItemQuantity": 1,
"UnitPrice": null,
"LineValueAmount": null,
"LineAmount": 1000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": "2008-10-05",
"HoldUntilDate": null,
"TrnCodeSetId": 21,
"TrnCode": "CLOSE",
"CloseReason": "Contract Closed",
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSite": "Parsippany (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": null,
"BillPlan": null,
"RevenuePlanId": null,
"RevenuePlan": null,
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "Y",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": "ECM Contract ",
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-5296-1",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": "ENTERPRISE",
"HoldReasonSetCode": null,
"ContractPuid": null,
"ContractLineTranslation": {
"items": [
{
"Id": 999990000047890,
"Language": "AR",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047890,AR,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation/999990000047890%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation/999990000047890%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047890,
"Language": "IW",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047890,IW,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation/999990000047890%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation/999990000047890%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047890,
"Language": "KO",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "[Modem - Serial ControlΩ'+++ '+++ 'Ø",
"ItemName": "[f40000'+Ø",
"SourceLanguage": "KO",
"@context": {
"key": "999990000047890,KO,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation/999990000047890%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation/999990000047890%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 3,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095832129",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832129/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
},
{
"LineNumber": "1",
"Id": 999990000047960,
"LineId": 100100095832286,
"MajorVersion": 1,
"LineTypeId": 102,
"LineTypeName": "Item, project",
"StsCode": "CLOSED",
"LineStatus": "Closed",
"Object1Id1": 79,
"Object1Id2": 204,
"ItemName": "f40000",
"ItemNameTxt": "f40000",
"ItemDescription": "Modem - Serial Control",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"PriceListId": null,
"PriceList": null,
"UOMCode": "EA",
"UnitOfMeasure": "EA",
"FixedPriceServiceYn": "N",
"ItemQuantity": 1,
"UnitPrice": null,
"LineValueAmount": null,
"LineAmount": 1000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": "2008-10-05",
"HoldUntilDate": null,
"TrnCodeSetId": 21,
"TrnCode": "CLOSE",
"CloseReason": "Contract Closed",
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSite": "Parsippany (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": null,
"BillPlan": null,
"RevenuePlanId": null,
"RevenuePlan": null,
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "Y",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": "ECM Contract ",
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-5181-1",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": "ENTERPRISE",
"HoldReasonSetCode": null,
"ContractPuid": null,
"ContractLineTranslation": {
"items": [
{
"Id": 999990000047960,
"Language": "AR",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047960,AR,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation/999990000047960%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation/999990000047960%2CAR%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047960,
"Language": "IW",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "Modem - Serial Control",
"ItemName": "f40000",
"SourceLanguage": "US",
"@context": {
"key": "999990000047960,IW,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation/999990000047960%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation/999990000047960%2CIW%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286",
"name": "ContractLine",
"kind": "item"
}
]
}
},
{
"Id": 999990000047960,
"Language": "KO",
"MajorVersion": 1,
"Comments": null,
"ItemDescription": "[Modem - Serial ControlΩ'+++ '+++ 'Ø",
"ItemName": "[f40000'+Ø",
"SourceLanguage": "KO",
"@context": {
"key": "999990000047960,KO,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation/999990000047960%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation/999990000047960%2CKO%2C1",
"name": "ContractLineTranslation",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 3,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095832286",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine/100100095832286/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
},
{
"LineNumber": "1",
"Id": 999990000047930,
"LineId": 100100095832279,
"MajorVersion": 1,
"LineTypeId": 102,
"LineTypeName": "Item, project",
"StsCode": "CLOSED",
"LineStatus": "Closed",
"Object1Id1": 79,
"Object1Id2": 204,
"ItemName": "f40000",
"ItemNameTxt": "f40000",
"ItemDescription": "Modem - Serial Control",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"PriceListId": null,
"PriceList": null,
"UOMCode": "EA",
"UnitOfMeasure": "EA",
"FixedPriceServiceYn": "N",
"ItemQuantity": 1,
[...]
